Page MenuHomePhabricator

Separate file patrol from regular patrol on the English Wikipedia
Closed, InvalidPublic

Description

Files and regular wiki pages have little in common. Being trusted to upload files doesn't mean one is trusted to create new articles and vice-versa. Similarly, having the skill to patrol files doesn't mean one has the skill to patrol new articles and vice-versa.

Thus it is suggested to split the ability to patrol files (patrol-upload) from the ability to patrol other pages (patrol), and the right to have one's files autopatrolled (autopatrol-upload) from the right to have one's other pages patrolled (autopatrol). This should help to reduce the backlog of unpatrolled files on non-Commons wikis since more people will be able to be granted patrol-upload or autopatrol-upload.

Enwiki discussion

Event Timeline

Cenarium created this task.Feb 11 2017, 8:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2017, 8:20 PM
Cenarium updated the task description. (Show Details)Feb 11 2017, 9:20 PM
gh87 updated the task description. (Show Details)Aug 18 2017, 11:32 PM
gh87 added a subscriber: gh87.Sep 16 2017, 8:18 PM

It's been six months since the consensus approved a separate autopatrol-file right. I wonder how the progress of the task has been.

Nemo_bis triaged this task as Low priority.Sep 23 2017, 5:21 AM

I understand it's six months, but being a feature requested only by one wiki it's going to be very low priority. On most wikis, the solution is social rather than technical (i.e. people are taught to use their permissions only where they know they're doing it well).

gh87 added a comment.EditedNov 11 2017, 1:18 AM

I recently removed one task as a "subtask". Re-reading the discussion, I realize that there wasn't a consensus yet to split abilities to separately patrol mainspace pages (i.e. articles) and file pages.

EDIT: I request that the task be declined for now unless it's impossible.

The blocker was correct, but I see a duplicate has been created in the meanwhile.

Nemo_bis renamed this task from Separate file patrol from regular patrol to Separate file patrol from regular patrol on the English Wikipedia.Nov 11 2017, 10:31 AM
Nemo_bis closed this task as Invalid.
Nemo_bis added subscribers: Train2104, Cameron11598, Coffee and 5 others.

(Closed per lack of [clear] consensus according to task creator.)